ServerEvents.recipes(event => {
    event.remove({id: 'enderio:void_chassis'})
    event.remove({id: 'enderio:primitive_alloy_smelter'})
    event.remove({id: 'enderio:pressurized_fluid_tank'})
    event.remove({id: 'enderio:alloy_smelting/energetic_alloy_ingot'})
    event.remove({id: 'enderio:alloy_smelting/dark_steel_ingot'})
})

ServerEvents.recipes(event => {
    //Void Chassis
    event.shaped('enderio:void_chassis',
        ['121','232','121'], {
        1: 'enderio:dark_steel_bars', 
        2: '#forge:ingots/dark_steel',
        3: '#forge:dusts/grains_of_infinity'
    }).id('enderio:void_chassis')

    //Primitive Alloy Smelter
    event.shaped('enderio:primitive_alloy_smelter',
        ['141','232','222'], {
        1: 'minecraft:blast_furnace', 
        2: '#forge:ingots/hop_graphite',
        3: '#forge:dusts/grains_of_infinity',
        4: 'eidolon:unholy_symbol'
    }).id('enderio:primitive_alloy_smelter')

    //Pressurized Fluid Tank
    event.shaped('enderio:pressurized_fluid_tank',
        ['121','232','121'], {
        1: '#forge:ingots/dark_steel', 
        2: 'enderio:dark_steel_bars',
        3: 'enderio:fluid_tank'
    }).id('enderio:pressurized_fluid_tank')

    //Energetic Alloy
    event.custom({
        "type": "enderio:alloy_smelting",
        "energy": 4800,
        "experience": 0.3,
        "inputs": [
          {
            "count": 1,
            "ingredient": {
              "tag": "forge:dusts/redstone"
            }
          },
          {
            "count": 1,
            "ingredient": {
              "tag": "forge:ingots/arcane_gold"
            }
          },
          {
            "count": 1,
            "ingredient": {
              "tag": "forge:dusts/glowstone"
            }
          }
        ],
        "result": {
          "item": "enderio:energetic_alloy_ingot"
        }
      })

    //Dark Steel
    event.custom({
        "type": "enderio:alloy_smelting",
        "energy": 4800,
        "experience": 0.3,
        "inputs": [
          {
            "count": 1,
            "ingredient": {
              "tag": "forge:ingots/steel"
            }
          },
          {
            "count": 1,
            "ingredient": {
              "tag": "forge:dusts/coal"
            }
          },
          {
            "count": 1,
            "ingredient": {
              "tag": "forge:obsidian"
            }
          }
        ],
        "result": {
          "tag": "forge:ingots/dark_steel"
        }
      })

    //Steel Ingot
    event.custom({
        "type": "enderio:alloy_smelting",
        "energy": 4800,
        "experience": 0.3,
        "inputs": [
          {
            "count": 1,
            "ingredient": {
              "tag": "forge:ingots/iron"
            }
          },
          {
            "count": 2,
            "ingredient": {
              "tag": "forge:coal_coke"
            }
          }
        ],
        "result": {
          "item": "alltheores:steel_ingot"
        }
      }).id('enderio:steel_ingot')

    //Steel Block
    event.custom({
        "type": "enderio:alloy_smelting",
        "energy": 38400,
        "experience": 0.3,
        "inputs": [
          {
            "count": 1,
            "ingredient": {
              "tag": "forge:storage_blocks/iron"
            }
          },
          {
            "count": 2,
            "ingredient": {
              "tag": "forge:storage_blocks/coal_coke"
            }
          }
        ],
        "result": {
          "item": "alltheores:steel_block"
        }
    }).id('enderio:steel_block')
})